Package org.springframework.cache.config

# Class CacheNamespaceHandler

java.lang.Object
org.springframework.beans.factory.xml.NamespaceHandlerSupport
org.springframework.cache.config.CacheNamespaceHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.NamespaceHandler`

public class CacheNamespaceHandler extends org.springframework.beans.factory.xml.NamespaceHandlerSupport
`NamespaceHandler` allowing for the configuration of declarative cache management using either XML or using annotations.

This namespace handler is the central piece of functionality in the Spring cache management facilities.

Since:
  3.1
Author:
  Costin Leau

## Constructor Summary

Constructors
Constructor
Description
`CacheNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheNamespaceHandler

public CacheNamespaceHandler()

## Method Details

### init

public void init()